package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Comment;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Content;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;


public class Comment_File_Impl implements Content, Comment {
    @Override
    public int getContentId() {
        return contentId;
    }

    @Override
    public int getSpeechId() {
        return speechId;
    }

    @Override
    public String getComment() {
        return comment;
    }

    @Override
    public String getCommentatorName() {
        return commentatorName;
    }

    private final int contentId;
    private final int speechId;
    private final String comment;
    private final String commentatorName;

    public Comment_File_Impl(int contentId, int speechId, String commentatorName, String comment) {
        this.contentId = contentId;
        this.speechId = speechId;
        this.commentatorName = commentatorName;
        this.comment = comment;
    }

    @Override
    public MongoDBEntryType getType() {
        return MongoDBEntryType.SPEECH_COMMENT;
    }
}
